%global optflags        %{optflags} -flto
%global build_ldflags   %{build_ldflags} -flto

%global commit      49a7e14452ddb14ab3da015a7c7ed92d9142ce84
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date        20191210

%global uuid        com.github.fabiocolacio.%{name}

Name:           marker
Version:        2019.11.06
Release:        3.%{date}git%{shortcommit}%{?dist}
Summary:        GTK 3 markdown editor

License:        GPLv3+
URL:            https://github.com/fabiocolacio/Marker
Source0:        %{url}/archive/%{commit}/%{name}-%{version}.%{date}git%{shortcommit}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(gtkspell3-3.0)
BuildRequires:  pkgconfig(webkit2gtk-4.0)
Requires:       %{name}-date = %{version}-%{release}
Requires:       hicolor-icon-theme

%description
Marker is a markdown editor for Linux made with Gtk+-3.0.


%package        data
Summary:        Data files for %{name}
BuildArch:      noarch

Requires:       %{name} = %{version}-%{release}

%description    data
Data files for %{name}.


%prep
%autosetup -n Marker-%{commit} -p1


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{name}
%find_lang Marker --with-gnome


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{name}.lang -f Marker.lang
%license LICENSE.md
%doc README.md CONTRIBUTING.md example.md
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.svg
%{_metainfodir}/*.xml

%files data
%{_datadir}/%{uuid}/


%changelog
* Tue Dec 10 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 2019.11.06-1.20191210git49a7e14
- Update to 2019.11.06

* Tue Apr 30 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 2018.07.03-1.20190430gitc0f8c7e
- Update to latest snapshot

* Fri Apr 05 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 2018.07.03-3.20190227gited56a04
- Initial package
